• Advertisement
Sign in to follow this  

GLee and GLEW

This topic is 2386 days old which is more than the 365 day threshold we allow for new replies. Please post a new topic.

If you intended to correct an error in the post then please contact us.

Recommended Posts

Hi
I get lots of errors with glew which i suppose is following as i've included glee before? How to use both
together? Many thanks
Michael

Share this post


Link to post
Share on other sites
Advertisement
Why would you like to have both? It is meaningless since both libraries have the same purpose.

Can you drive two cars simultaneously? :)

But:

- Glee has not been updated since February 2009 and supports just OpenGL 3.0, while

- GLEW has got much better support (updated April 2011 and supports OpenGL 4.1).

I'm not using either of them, but if I should choose between them, I would choose GLEW.

Share this post


Link to post
Share on other sites
What OpenGL Version do you use?
GLew is known to produce warnings and errors on OpenGL 3.x+ because it still uses glGetString to determine extensions. THe author has gotten several patches from people, but somehow he does not manage to update it properly.
If you use OpenGL3, then there is GL3w, esp. designed for OpenGL3. It requires Python 2.6 for the setup though, but creates one .c file and 2 headers which can easily be included into your app:
https://github.com/skaslev/gl3w/

Share this post


Link to post
Share on other sites
He gets compilation errors, not runtime GL error. http://www.opengl.org/wiki/Extension_Loading_Library

He gets compilation errors because he has GLEE and GLEW.

Share this post


Link to post
Share on other sites
Sign in to follow this  

  • Advertisement